/* -*- Mode: C++ -*-
 * $Id: basic_system_compiler_directives.h,v 1.1 2000/09/03 20:41:11 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: basic_system_compiler_directives.h
 * Unitname: BasicSystem
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/03 20:41:11 $
 *
 *
 * HISTORY
 *
 * $Log: basic_system_compiler_directives.h,v $
 * Revision 1.1  2000/09/03 20:41:11  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file basic_system_compiler_directives.h
 * Include file with the compiler directives for the RoboSoc basic system.
 *
 * @par Unit:
 *      BasicSystem
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/03 20:41:11 $
 */


#ifndef BASIC_SYSTEM_COMPILER_DIRECTIVES_H
#define BASIC_SYSTEM_COMPILER_DIRECTIVES_H


#include "library_compiler_directives.h"


/** @def RS_ENABLE_COACH_DEBUGGING
  If defined then it is possible for the agent to start
  and connect to a coach at the same time as it is running
  as an agent. This can be used to debug the agent with the
  correct data as available to the coach. */
#define RS_ENABLE_COACH_DEBUGGING


//#define _FREEKICK_MOVE_ALL_


#endif // !BASIC_SYSTEM_COMPILER_DIRECTIVES_H
