/* -*- Mode: C++ -*-
 * $Id: Agent.cc,v 1.1 2000/09/03 20:41:12 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Agent.cc
 * Unitname: BasicSystem
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/03 20:41:12 $
 *
 *
 * HISTORY
 *
 * $Log: Agent.cc,v $
 * Revision 1.1  2000/09/03 20:41:12  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file Agent.cc
 * Implementation file for the class Agent.
 *
 * @par Unit:
 *      BasicSystem
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/03 20:41:12 $
 */


#include "Agent.h"

#include "ServerInterface.h"
#include "SensorInterface.h"
#include "Sensors.h"
#include "ActuatorInterface.h"
#include "Actuators.h"
#include "Decision.h"
#include "ControlInterface.h"
#include "Controller.h"


RS_BEGIN_NAMESPACE


Agent::Agent()
  : serverInterface(NULL),
    sensorInterface(NULL),
    sensors(NULL),
    actuatorInterface(NULL),
    actuators(NULL),
    decision(NULL),
    controlInterface(NULL),
    controller(NULL)
{
};


Agent::~Agent()
{
}


RS_END_NAMESPACE
