/* -*- Mode: C++ -*-
 * $Id: Decision.cc,v 1.1 2000/09/03 20:41:13 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Decision.cc
 * Unitname: BasicSystem
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/03 20:41:13 $
 *
 *
 * HISTORY
 *
 * $Log: Decision.cc,v $
 * Revision 1.1  2000/09/03 20:41:13  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file Decision.cc
 * Implementation file for the class Decision.
 *
 * @par Unit:
 *      BasicSystem
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/03 20:41:13 $
 */


#include "Decision.h"

#include "ActuatorInterface.h"
//#include "ServerCommand.h"


RS_BEGIN_NAMESPACE


Decision::Decision(ActuatorInterface* const actuator_interface)
  : actuatorInterface(actuator_interface),
    initialized( actuatorInterface != NULL )
{
}


Decision::~Decision()
{
}


bool Decision::init(ActuatorInterface* const actuator_interface)
{
  actuatorInterface = actuator_interface;
  initialized = ( actuatorInterface != NULL );
  return initialized;
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "Decision.icc"
#endif
