/* -*- Mode: C++ -*-
 * $Id: BallDirectedToZone.cc,v 1.2 2000/11/07 17:26:32 olalu526 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BallDirectedToZone.cc
 * Unitname: Framework/predicate
 * $Revision: 1.2 $
 * Created by: Ola Lundqvist 2000-09-22
 * Last modified by $Author: olalu526 $ $Date: 2000/11/07 17:26:32 $
 *
 *
 * HISTORY
 *
 * $Log: BallDirectedToZone.cc,v $
 * Revision 1.2  2000/11/07 17:26:32  olalu526
 * A fix?
 *
 * Revision 1.1  2000/09/28 15:13:58  olalu526
 * Added BallDirectedToZone.
 *
 *
 */

/**
 * @file BallDirectedToZone.cc
 * Implementation file for the predicate class BallDirectedToZone.
 *
 * @par Unit:
 *      Framework/predicate
 * $Revision: 1.2 $
 * $Author: olalu526 $
 * $Date: 2000/11/07 17:26:32 $
 */


#include "BallDirectedToZone.h"
#include "view_constants.h"

RS_BEGIN_NAMESPACE


BallDirectedToZone::BallDirectedToZone(const Zone &z)
  : PredicateWithZone(z),
    ballView(NULL)
{
  getView(ballView, BALL_VIEW_ID);
}

BallDirectedToZone::BallDirectedToZone(const BallDirectedToZone& obj)
  : PredicateWithZone(obj),
    ballView(NULL)
{
  getView(ballView, BALL_VIEW_ID);
}


BallDirectedToZone::~BallDirectedToZone()
{
  viewManager->releaseView(BALL_VIEW_ID);
}


BallDirectedToZone& BallDirectedToZone::operator= (const BallDirectedToZone& obj)
{
  if ( this != &obj ) {
    PredicateWithZone::operator=(obj);
  }
  ballView = obj.ballView;
  
  return *this;
}


/* This should be changed! */
FuzzyBool BallDirectedToZone::evaluate()
{
  /*
  if ((ballView->getBallPosition(NOW)).isKnown() &&
      (ballView->getBallAbsoluteSpeedVector(NOW).isKnown())
      ) {
    Point o = Point(Float(0), Float(0));
    Point zp = zone.getPointOf();
    Point bp = (ballView->getBallPosition(NOW)).getPoint();
    Float R = zone.getR();
    Vector bzv = bp.getVectorTo(zp);
    Vector bv = (ballView->getBallAbsoluteSpeedVector(NOW).getVector());
    Vector v = bv / bv.getLength();
    // u is the orthogonal projection of bzv to the ball vector.
    Point tv = v + o;
    Point tbzv = bzv + o;
    Vector u = o.getVectorTo(tbzv - (tbzv * tv) * tv);
    if (u.getLength() <= R) {
      return TRUE;
    }
    }*/
  return FALSE;
}


void BallDirectedToZone::update(const UInt32)
{
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "BallDirectedToZone.icc"
#endif
