/* -*- Mode: C++ -*-
 * $Id: FindBall.h,v 1.2 2000/09/29 17:55:02 olalu526 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: FindBall.h
 * Unitname: Framework/skill
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: olalu526 $ $Date: 2000/09/29 17:55:02 $
 *
 *
 * HISTORY
 * $Log: FindBall.h,v $
 * Revision 1.2  2000/09/29 17:55:02  olalu526
 * Added FaceDirection, fixed some in FindBall (now works as expected), fixed segmentation fault in TurnDirection and more.
 *
 * Revision 1.1  2000/09/05 21:12:02  frehe
 * #include rs_log.h
 *
 */

/**
 * @file FindBall.h
 * Include file for the skill class FindBall.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.2 $
 * $Author: olalu526 $
 * $Date: 2000/09/29 17:55:02 $
 */


#ifndef FINDBALL_H
#define FINDBALL_H


#include "Skill.h"
#include "Time.h"
#include "GameView.h"
#include "TimeUnknown.h"

RS_BEGIN_NAMESPACE


class BallView;
class GameView;

/**
 * @class FindBall FindBall.h
 * This class encapsulates a find ball skill.
 *
 * <!--
 * @pre The preconditions for the skill are...
 * @post The postconditions for the skill are...
 * @invariant The class invariant is...
 *
 * @todo This needs to be done...
 * -->
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.2 $
 * $Author: olalu526 $
 * $Date: 2000/09/29 17:55:02 $
 */
class FindBall : public Skill {
public:
  FindBall();
  virtual ~FindBall();

  virtual Plan generatePlan();

  virtual FuzzyBool persistent();
  virtual FuzzyBool applicable();

protected:
  BallView* ballView;
  GameView* gameView;
};


RS_END_NAMESPACE


#endif // !FINDBALL_H
