/* -*- Mode: C++ -*-
 * $Id: GotoBall.cc,v 1.6 2000/10/09 22:13:01 chrro564 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: GotoBall.cc
 * Unitname: Framework/skill
 * $Revision: 1.6 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: chrro564 $ $Date: 2000/10/09 22:13:01 $
 *
 *
 * HISTORY
 * $Log: GotoBall.cc,v $
 * Revision 1.6  2000/10/09 22:13:01  chrro564
 * Updated MoveToPositioin skill.
 *
 * Revision 1.5  2000/10/09 11:59:48  olalu526
 * Fixed applicable references (so that it points to the one that it inherits from.
 *
 * Revision 1.4  2000/10/09 11:07:47  olalu526
 * Made so that GotoBall inherits from MoveToPositionFacingBall.
 *
 * Revision 1.3  2000/10/01 13:05:54  olalu526
 * Updated FacingDirection, fixing bugs and stuff.
 *
 * Revision 1.2  2000/09/13 01:38:59  frehe
 * Updated the skills to use getView instead of static_cast<...>.
 *
 * Revision 1.1  2000/09/05 21:12:01  frehe
 * #include rs_log.h
 *
 */

/**
 * @file GotoBall.cc
 * Implementation file for the skill class GotoBall.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.6 $
 * $Author: chrro564 $
 * $Date: 2000/10/09 22:13:01 $
 */


#include "MoveToPositionFacingBall.h"
#include "GotoBall.h"
#include "BallView.h"
#include "view_constants.h"
#include "TurnCommand.h"
#include "DashCommand.h"


RS_BEGIN_NAMESPACE


GotoBall::GotoBall()
  : MoveToPositionFacingBall()
{
} 


GotoBall::~GotoBall()
{
}


Plan GotoBall::generatePlan()
{
  return MoveToPositionFacingBall::generatePlan(ballView->getBallPosition(NOW).getPoint());
}


FuzzyBool GotoBall::persistent()
{
  return FALSE;
}


FuzzyBool GotoBall::applicable()
{
  if (ballView->getBallPosition(NOW).isKnown()) {
    return MoveToPositionFacingDirection::applicable(ballView->getBallPosition(NOW).getPoint());
  }
  return FALSE;
}


RS_END_NAMESPACE





