/* -*- Mode: C++ -*-
 * $Id: GotoBall.h,v 1.5 2000/10/09 11:47:29 olalu526 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: GotoBall.h
 * Unitname: Framework/skill
 * $Revision: 1.5 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: olalu526 $ $Date: 2000/10/09 11:47:29 $
 *
 *
 * HISTORY
 * $Log: GotoBall.h,v $
 * Revision 1.5  2000/10/09 11:47:29  olalu526
 * Removed the ballview (it caused a segfault).
 *
 * Revision 1.4  2000/10/09 11:07:47  olalu526
 * Made so that GotoBall inherits from MoveToPositionFacingBall.
 *
 * Revision 1.3  2000/10/07 14:28:23  olalu526
 * Added some skill files and fixed things.
 *
 * Revision 1.2  2000/10/01 13:05:55  olalu526
 * Updated FacingDirection, fixing bugs and stuff.
 *
 * Revision 1.1  2000/09/05 21:12:02  frehe
 * #include rs_log.h
 *
 */

/**
 * @file GotoBall.h
 * Include file for the skill class GotoBall.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.5 $
 * $Author: olalu526 $
 * $Date: 2000/10/09 11:47:29 $
 */


#ifndef GOTOBALL_H
#define GOTOBALL_H


#include "MoveToPositionFacingBall.h"

RS_BEGIN_NAMESPACE


class BallView;


/**
 * @class GotoBall GotoBall.h
 * This class encapsulates a go to the ball skill.
 *
 * <!--
 * @pre The preconditions for the skill are...
 * @post The postconditions for the skill are...
 * @invariant The class invariant is...
 *
 * @todo This needs to be done...
 * -->
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.5 $
 * $Author: olalu526 $
 * $Date: 2000/10/09 11:47:29 $
 */
class GotoBall : public MoveToPositionFacingBall {
public:
  GotoBall();
  virtual ~GotoBall();

  virtual Plan generatePlan();

  virtual FuzzyBool persistent();
  virtual FuzzyBool applicable();

protected:
};


RS_END_NAMESPACE


#endif // !GOTOBALL_H
