/* -*- Mode: C++ -*-
 * $Id: GotoBallAvoidingObstacles.h,v 1.1 2000/10/26 15:46:34 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: GotoBallAvoidingObstacles.h
 * Unitname: Framework/skill
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-10-26
 * Last modified by $Author: frehe $ $Date: 2000/10/26 15:46:34 $
 *
 *
 * HISTORY
 * $Log: GotoBallAvoidingObstacles.h,v $
 * Revision 1.1  2000/10/26 15:46:34  frehe
 * Initial version of GotoBallAvoidingObstacles.
 *
 */

/**
 * @file GotoBallAvoidingObstacles.h
 * Include file for the skill class GotoBallAvoidingObstacles.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/10/26 15:46:34 $
 */


#ifndef GOTOBALLAVOIDINGOBSTACLES_H
#define GOTOBALLAVOIDINGOBSTACLES_H


#include "MoveToPositionAvoidingObstacles.h"

RS_BEGIN_NAMESPACE


class BallView;


/**
 * @class GotoBallAvoidingObstacles GotoBallAvoidingObstacles.h
 * This class encapsulates a go to the ball skill.
 *
 * <!--
 * @pre The preconditions for the skill are...
 * @post The postconditions for the skill are...
 * @invariant The class invariant is...
 *
 * @todo This needs to be done...
 * -->
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/10/26 15:46:34 $
 */
class GotoBallAvoidingObstacles : public MoveToPositionAvoidingObstacles {
public:
  GotoBallAvoidingObstacles();
  virtual ~GotoBallAvoidingObstacles();

  virtual Plan generatePlan();

  virtual FuzzyBool persistent();
  virtual FuzzyBool applicable();

protected:
  BallView* ballView;
};


RS_END_NAMESPACE


#endif // !GOTOBALLAVOIDINGOBSTACLES_H
