/* -*- Mode: C++ -*-
 * $Id: MoveToPositionFacingPosition.cc,v 1.2 2001/06/19 14:01:45 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: MoveToPositionFacingPosition.cc
 * Unitname: Framework/skill
 * $Revision: 1.2 $
 * Created by: Ola Lundqvist 2000-09-29
 * Last modified by $Author: frehe $ $Date: 2001/06/19 14:01:45 $
 *
 *
 * HISTORY
 * $Log: MoveToPositionFacingPosition.cc,v $
 * Revision 1.2  2001/06/19 14:01:45  frehe
 * Made minor changes to compile RoboSoc with gcc-3.0
 *
 * Revision 1.1  2000/11/04 12:58:50  olalu526
 * Added MoveToPositionFacingPosition.
 *
 *
 */

/**
 * @file MoveToPositionFacingPosition.cc
 *  
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2001/06/19 14:01:45 $
 */


#include "MoveToPositionFacingPosition.h"

RS_BEGIN_NAMESPACE


// --- CONSTRUCTORS ---

MoveToPositionFacingPosition::MoveToPositionFacingPosition()
  : MoveToPositionFacingDirectionAvoidingObstacles(Point(Float(0),Float(0)))
{
}

MoveToPositionFacingPosition::MoveToPositionFacingPosition(const Point &position)
  : MoveToPositionFacingDirectionAvoidingObstacles(position)
{
}


// --- DESTRUCTOR ---

MoveToPositionFacingPosition::~MoveToPositionFacingPosition()
{
}


// --- METHODS ---


Plan MoveToPositionFacingPosition::generatePlan()
{
  PointUCO ap = agentView->getAgentPosition(NOW);
  if (ap.isKnown()) {
    PointUCO p = getPosition();
    if (p.isKnown()) {
      /*      std::cout << "\n-------\nMoveToFa: " << ap.getDirectionTo(p.getPoint()).getDeg()
	      << std::endl << std::flush;*/
      return MoveToPositionFacingDirectionAvoidingObstacles::generatePlan(ap.getDirectionTo(p.getPoint()).getDeg());
    }
    /*    std::cout << "\n----\nMoveToFa: positionunknown!" << std::endl << std::flush;*/
    return MoveToPositionFacingDirectionAvoidingObstacles::generatePlan();
  }
  std::cout << "MoveToPositionFacingPosition: This should NEVER happen!" << std::flush;
  return Plan();
}

// Setting new position and returning a 'Plan' to obtain that goal. 
Plan MoveToPositionFacingPosition::generatePlan(const Point& position){
  setPosition(position);
  return MoveToPositionFacingPosition::generatePlan();
}


RS_END_NAMESPACE



