/* -*- Mode: C++ -*-
 * $Id: PlanContainer.h,v 1.1 2000/10/31 12:48:56 mikbr212 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: PlanContainer.h
 * Unitname: Framework/skill
 * $Revision: 1.1 $
 *
 * HISTORY
 * $Log: PlanContainer.h,v $
 * Revision 1.1  2000/10/31 12:48:56  mikbr212
 * created
 *
 */

/**
 * @file PlanContainer.h
 * Include file for the skill class PlanContainer.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: mikbr212 $
 * $Date: 2000/10/31 12:48:56 $
 */


#ifndef PLANCONTAINER_H
#define PLANCONTAINER_H


#include "Skill.h"

RS_BEGIN_NAMESPACE


/**
 * @class PlanContainer PlanContainer.h
 * This class is a skill which encapsulates a plan.
 * 
 * A plan can be set to this skill
 * and then generatePlan will return that plan.
 *
 * <!--
 * @pre The preconditions for the skill are...
 * @post The postconditions for the skill are...
 * @invariant The class invariant is...
 *
 * @todo This needs to be done...
 * -->
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: mikbr212 $
 * $Date: 2000/10/31 12:48:56 $
 */
class PlanContainer : public Skill {
public:
  PlanContainer();
  virtual ~PlanContainer();

  virtual Plan generatePlan();

  virtual FuzzyBool persistent();
  virtual FuzzyBool applicable();

  void setPlan(const Plan& thePlan);
  void setConsumePlan(bool flag);

protected:
  Plan plan;
  bool consumePlan;
};


RS_END_NAMESPACE


#endif // !PLANCONTAINER_H
