
/* -*- Mode: C++ -*-
 * $Id: Triangle.cc,v 1.1 2000/10/12 03:12:10 marsc818 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Triangle.cc
 * Unitname: Framework/skill
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-10-08
 * Last modified by $Author: marsc818 $ $Date: 2000/10/12 03:12:10 $
 *
 *
 * HISTORY
 */

/**
 * @file Triangle.cc
 * Implementation file for the skill class Score.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.1 $
 * $Author: marsc818 $
 * $Date: 2000/10/12 03:12:10 $
 */

#include "Triangle.h"

RS_BEGIN_NAMESPACE

bool Triangle::isPointInTriangle(CoordPoint<Float> p, Float epsilon)
{
  Float a1 = myArea();
  Float a2 = area(Pt1, Pt2, p) + area(Pt2, Pt3, p) + area(Pt1, Pt3, p);

  return ( abs(a2 - a1) < epsilon );
}

RS_END_NAMESPACE
