/* -*- Mode: C++ -*-
 * $Id: PredicateWithVector.cc,v 1.1 2000/09/13 03:12:55 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: PredicateWithVector.cc
 * Unitname: Framework
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-13
 * Last modified by $Author: frehe $ $Date: 2000/09/13 03:12:55 $
 *
 *
 * HISTORY
 *
 * $Log: PredicateWithVector.cc,v $
 * Revision 1.1  2000/09/13 03:12:55  frehe
 * Added predicate class with arguments.
 *
 */

/**
 * @file PredicateWithVector.cc
 * Implementation file for the class PredicateWithVector.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/13 03:12:55 $
 */


#include "PredicateWithVector.h"


RS_BEGIN_NAMESPACE


PredicateWithVector::PredicateWithVector(const Vector& vec)
  : PredicateWithArguments(),
    vector(vec)
{
}


PredicateWithVector::PredicateWithVector(const PredicateWithVector& obj)
  : PredicateWithArguments(obj),
    vector(obj.vector)
{
}


PredicateWithVector::~PredicateWithVector()
{
}


PredicateWithVector& PredicateWithVector::operator= (const PredicateWithVector& obj)
{
  if ( this != &obj ) {
    PredicateWithArguments::operator=(obj);
    vector = obj.vector;
  }
  return *this;
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "PredicateWithVector.icc"
#endif
