/* -*- Mode: C++ -*-
 * $Id: SkillWithVector.cc,v 1.1 2000/09/09 11:53:05 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SkillWithVector.cc
 * Unitname: Framework
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-09
 * Last modified by $Author: frehe $ $Date: 2000/09/09 11:53:05 $
 *
 *
 * HISTORY
 *
 * $Log: SkillWithVector.cc,v $
 * Revision 1.1  2000/09/09 11:53:05  frehe
 * Added four new abstract skill classes, SkillWithDirection, Vector, Position and Speed.
 *
 */

/**
 * @file SkillWithVector.cc
 * Implementation file for the class SkillWithVector.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/09 11:53:05 $
 */


#include "SkillWithVector.h"


RS_BEGIN_NAMESPACE


// --- CONSTRUCTORS ---

SkillWithVector::SkillWithVector(const Vector& vec)
  : vector(vec)
{
}


// --- DESTRUCTOR ---

SkillWithVector::~SkillWithVector()
{
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "SkillWithVector.icc"
#endif
