/* -*- Mode: C++ -*-
 * $Id: ViewWithHistory.cc,v 1.1 2000/09/13 00:05:16 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ViewWithHistory.cc
 * Unitname: Framework
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/13 00:05:16 $
 *
 *
 * HISTORY
 *
 * $Log: ViewWithHistory.cc,v $
 * Revision 1.1  2000/09/13 00:05:16  frehe
 * Added a new base class called ViewWithHistory for all views that use a history.
 *
 * Revision 1.1  2000/09/03 22:08:47  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file ViewWithHistory.cc
 * Implementation file for the class ViewWithHistory.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/13 00:05:16 $
 */


#include "ViewWithHistory.h"


RS_BEGIN_NAMESPACE


ViewWithHistory::ViewWithHistory(const ViewId id,
				 UInt hist_len)
  : View(id),
    historyLength(hist_len),
    currentObservation(0)
{
}


ViewWithHistory::~ViewWithHistory()
{
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "ViewWithHistory.icc"
#endif
