/* -*- Mode: C++ -*-
 * $Id: ViewWithSimulation.cc,v 1.3 2001/01/12 12:40:33 olalu526 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ViewWithSimulation.cc
 * Unitname: Framework
 * $Revision: 1.3 $
 * Created by: Ola Lundqvist 2001-01-03
 * Last modified by $Author: olalu526 $ $Date: 2001/01/12 12:40:33 $
 *
 *
 * HISTORY
 *
 * $Log: ViewWithSimulation.cc,v $
 * Revision 1.3  2001/01/12 12:40:33  olalu526
 * Added some documentation.
 *
 * Revision 1.2  2001/01/11 22:00:20  olalu526
 * Added the real world model with support for new simulation steps.
 *
 * Revision 1.1  2001/01/10 17:00:57  olalu526
 * Added the world model.
 *
 */

/**
 * @file ViewWithSimulation.cc
 * Implementation file for the class ViewWithSimulation.
 *
 * @par Unit:
 *      Framework
 * $Revision: 1.3 $
 * $Author: olalu526 $
 * $Date: 2001/01/12 12:40:33 $
 */


#include "ViewWithSimulation.h"


RS_BEGIN_NAMESPACE


ViewWithSimulation::ViewWithSimulation(const ViewId id)
  : View(id)
{
  worldModel = WorldModelInterface::instance();
}


ViewWithSimulation::~ViewWithSimulation()
{
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "ViewWithSimulation.icc"
#endif
