/* -*- Mode: C++ -*-
 * $Id: PredicateStub.cc,v 1.2 2000/09/17 14:31:38 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: PredicateStub.cc
 * Unitname: Framework/predicate
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 2000-09-12
 * Last modified by $Author: frehe $ $Date: 2000/09/17 14:31:38 $
 *
 *
 * HISTORY
 *
 * $Log: PredicateStub.cc,v $
 * Revision 1.2  2000/09/17 14:31:38  frehe
 * Made minor updates to the PredicateStub.
 *
 * Revision 1.1  2000/09/13 00:06:00  frehe
 * Added a predicate teamplate called PredicateStub.
 *
 */

/**
 * @file PredicateStub.cc
 * Implementation file for the predicate class PredicateStub.
 *
 * @par Unit:
 *      Framework/predicate
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2000/09/17 14:31:38 $
 */


#include "PredicateStub.h"


RS_BEGIN_NAMESPACE


PredicateStub::PredicateStub()
  : Predicate()
{
}


PredicateStub::PredicateStub(const PredicateStub& obj)
  : Predicate(obj)
{
}


PredicateStub::~PredicateStub()
{
}


PredicateStub& PredicateStub::operator= (const PredicateStub& obj)
{
  if ( this != &obj ) {
    Predicate::operator=(obj);
  }

  return *this;
}


FuzzyBool PredicateStub::evaluate()
{
  return TRUE;
}


void PredicateStub::update(const UInt32)
{
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "PredicateStub.icc"
#endif
