/* -*- Mode: C++ -*-
 * $Id: SkillStub.h,v 1.3 2000/09/16 18:39:39 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SkillStub.h
 * Unitname: Framework/skill
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-09-07
 * Last modified by $Author: frehe $ $Date: 2000/09/16 18:39:39 $
 *
 *
 * HISTORY
 *
 * $Log: SkillStub.h,v $
 * Revision 1.3  2000/09/16 18:39:39  frehe
 * Fixed the log messages.
 *
 * Revision 1.2  2000/09/16 18:36:48  frehe
 * Made minor fixes the skill stubs.
 *
 * Revision 1.1  2000/09/07 16:10:34  frehe
 * Added stubs for the skills.
 *
 */

/**
 * @file SkillStub.h
 * Include file for the skill class GotoBall.
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.3 $
 * $Author: frehe $
 * $Date: 2000/09/16 18:39:39 $
 */


#ifndef SKILLSTUB_H
#define SKILLSTUB_H


#include "Skill.h"


RS_BEGIN_NAMESPACE


/**
 * @class SkillStub SkillStub.h
 * The first sentence is a brief description of the skill class SkillStub.
 * The rest is a longer description of the skill class SkillStub.
 * Use it to describe the skill!
 *
 * @pre The preconditions for the skill are ...
 * @post The intended postconditions for the skill are...
 *
 * @todo Things that should be done...
 *
 * @par Unit:
 *      Framework/skill
 * $Revision: 1.3 $
 * $Author: frehe $
 * $Date: 2000/09/16 18:39:39 $
 */
class SkillStub : public Skill {
public:
  /** Default constructor. Here you can initialize the skill. */
  SkillStub();

  /** Destructor should clean up after the skill. */
  virtual ~SkillStub();

  
  /** This method is used to generate a plan for how the goal of
    the skill should be obtained by the agent. You can assume
    that the preconditions of the skill are true (this can be tested
    by calling the applicable() method, after you have implemented it). */
  virtual Plan generatePlan();

  /** This method should return a FuzzyBool telling the caller
    if the skill wants to be called again. */
  virtual FuzzyBool persistent();

  /** This method should implement the precondition specified in
   the description of the skill. */
  virtual FuzzyBool applicable();

  
private:
  /** Hide copy-constructor. */
  SkillStub(const SkillStub&);
  /** Hide assignment operator. */
  SkillStub& operator= (const SkillStub&);
};


RS_END_NAMESPACE


// Remove from here 
/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler and debugger understands the keyword inline then include
 * the inline definitions here, otherwise include them in the definition file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifdef RS_USE_INLINE
#  include "SkillStub.icc"
#endif
// To here if you do not have any inline definitions!

#endif // !SKILLSTUB_H
