/* -*- Mode: C++ -*-
 * $Id: ViewStub.cc,v 1.2 2000/09/17 14:17:33 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ViewStub.cc
 * Unitname: Framework/view
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 2000-09-12
 * Last modified by $Author: frehe $ $Date: 2000/09/17 14:17:33 $
 *
 *
 * HISTORY
 *
 * $Log: ViewStub.cc,v $
 * Revision 1.2  2000/09/17 14:17:33  frehe
 * Made minor updates to the ViewStub.
 *
 * Revision 1.1  2000/09/13 00:06:21  frehe
 * Added a view template called ViewStub.
 *
 */

/**
 * @file ViewStub.cc
 * Implementation file for the view class ViewStub.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2000/09/17 14:17:33 $
 */


#include "ViewStub.h"


RS_BEGIN_NAMESPACE


// If you do not want history then remove the second argument,
// and initialize View(id) instead of ViewWithHistory(id, hist_len).
// ViewStub::ViewStub(const ViewId id)
//   : View(id)
ViewStub::ViewStub(const ViewId id,
		   const UInt hist_len)
  : ViewWithHistory(id, hist_len)
{
}


ViewStub::~ViewStub()
{
}


// Can be removed if not used!
bool ViewStub::init()
{
}


void ViewStub::myNewCycle()
{
  // This should be removed if not using history!
  // Update the current time step.
  increaseIndex();
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "ViewStub.icc"
#endif
