/* -*- Mode: C++ -*-
 * $Id: BallSimulator.h,v 1.1 2001/01/23 17:17:15 olalu526 Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: BallSimulator.h
 * Unitname: Framework/view
 * $Revision: 1.1 $
 * Created by: Ola Lundqvist 2000-09-24
 * Last modified by $Author: olalu526 $ $Date: 2001/01/23 17:17:15 $
 *
 *
 * HISTORY
 *
 * $Log: BallSimulator.h,v $
 * Revision 1.1  2001/01/23 17:17:15  olalu526
 * Added ballsimulator and improved the ball data improver.
 *
 *
 */

/**
 * @file BallSimulator.h
 * Include file for the view class BallSimulator.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.1 $
 * $Author: olalu526 $
 * $Date: 2001/01/23 17:17:15 $
 */


#ifndef BALLSIMULATOR_H
#define BALLSIMULATOR_H


#include "ViewForSimulation.h"
#include "view_constants.h"
#include "ParameterView.h"
#include "BallView.h"
#include "CoordPoint.h"


RS_BEGIN_NAMESPACE

/**
 * @class BallSimulator BallSimulator.h
 * A view that calculates where it believes the ball will be in the future.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.1 $
 * $Author: olalu526 $
 * $Date: 2001/01/23 17:17:15 $
 */
class BallSimulator : public ViewForSimulation {
public:
  /** Default constructor. */
  BallSimulator(const ViewId id);

  /** Destroys the view. */
  ~BallSimulator();

  /* Methods */
  virtual void step();

private:
  BallView* ballView;
  ParameterView* parameterView;
};


RS_END_NAMESPACE

#endif // !BALLSIMULATOR_H
