/* -*- Mode: C++ -*-
 * $Id: DashView.cc,v 1.1 2000/09/17 18:01:37 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: DashView.cc
 * Unitname: Framework/view
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-17
 * Last modified by $Author: frehe $ $Date: 2000/09/17 18:01:37 $
 *
 *
 * HISTORY
 *
 * $Log: DashView.cc,v $
 * Revision 1.1  2000/09/17 18:01:37  frehe
 * Added a (so far empty) dash view, which should be used to make calculations needed by the dash command.
 *
 */

/**
 * @file DashView.cc
 * Implementation file for the view class DashView.
 *
 * @par Unit:
 *      Framework/view
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/17 18:01:37 $
 */


#include "DashView.h"


RS_BEGIN_NAMESPACE


// If you do not want history then remove the second argument,
// and initialize View(id) instead of ViewWithHistory(id, hist_len).
DashView::DashView(const ViewId id)
  : View(id)
{
}


DashView::~DashView()
{
}


void DashView::myNewCycle()
{
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "DashView.icc"
#endif
