// Line-class
#ifndef LINE_H
#define LINE_H

#include "CoordVector.h"
#include "CoordPoint.h"
#include "library_types.h"

RS_BEGIN_NAMESPACE

/**
 * @class Line Line.h
 * Class for representating lines (Vector with origin).
 */

class Line {
public:
  Line(const Point&, const Vector&); 
  Line(const Point&, const Point&); 
  Line(const Point&, const Point&, const double&, bool=true); 
  ~Line();

  bool isParallel(const Line&);
  bool isThroughCircle(const Point&, const double&);

  Point getIntersection(const Line&);
  Point getIntersection(const Line&, double&, double&);

  Vector getDistance(const Point&);
  Vector getDistance(const Point&, double&);

  void extendToCircle(const Point&, const double&);

  void extendToLine(const Line&);
  void extendToLine(const Line&, double&, double&);

  Point getStartPoint();
  Point getEndPoint();

  Point getPoint();
  Vector getVector();

  void setPoint(const Point&);
  void setVector(const Vector&);
  
protected:
  Point p;
  Point v;
};

RS_END_NAMESPACE

#endif // !LINE_H
