/* -*- Mode: C++ -*-
 * $Id: AssertionFailed.h,v 1.1.1.1 2000/08/31 13:26:04 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: AssertionFailed.h
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 2000-08-30
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:04 $
 *
 *
 * HISTORY
 *
 * $Log: AssertionFailed.h,v $
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file AssertionFailed.h
 * Include file for the exception class AssertionFailed.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:04 $
 */


#ifndef ASSERTIONFAILED_H
#define ASSERTIONFAILED_H


#include "RSException.h"


RS_BEGIN_NAMESPACE


/**
 * @class AssertionFailed AssertionFailed.h
 * Used to represent the exception raised when an
 * assertion fails.
 *
 * <!-- @invariant The class invariant is... -->
 *
 * <!-- @todo -->
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:04 $
 */
class AssertionFailed : public RSException
{
public:
  /** Constructor. */
  AssertionFailed(const std::string& msg,
		  const std::string& file_n = "",
		  const UInt32 line_no = 0) throw();
};


RS_END_NAMESPACE


#endif // !ASSERTIONFAILED_H
