/* -*- Mode: C++ -*-
 * $Id: LogStreamManip.h,v 1.1.1.1 2000/08/31 13:26:04 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: LogStreamManip.h
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:04 $
 *
 *
 * HISTORY
 *
 * $Log: LogStreamManip.h,v $
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file LogStreamManip.h
 * Include file for the class CLogStreamManip.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:04 $
 */


#ifndef LOGSTREAMMANIP_H
#define LOGSTREAMMANIP_H


#include "LogAreaName.h"


RS_BEGIN_NAMESPACE


class LogStream;


/**
 * @class LogStreamManip LogStreamManip.h
 * Used to make it possible to call methods on the LogStream object by
 * using the operator <<. It encapsulates the method and its argument.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:04 $
 */
class LogStreamManip {
public:
  /** Construct an object and stor @a ff and @a area_name. */
  LogStreamManip(LogStream& (*ff)(LogStream&, const LogAreaName&),
		 const LogAreaName& area_name);

  /** A pointer to a function taking a LogStream and a LogAreaName as arguments. */
  LogStream& (*f)(LogStream&, const LogAreaName&);
  /** Store an log area name. */
  LogAreaName area;
};


RS_END_NAMESPACE


#endif // !LOGSTREAMMANIP_H
