/* -*- Mode: C++ -*-
 * $Id: StationaryObject.h,v 1.1 2000/09/01 03:24:32 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: StationaryObject.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/01 03:24:32 $
 *
 *
 * HISTORY
 *
 * $Log: StationaryObject.h,v $
 * Revision 1.1  2000/09/01 03:24:32  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file StationaryObject.h
 * Include file for the class StationaryObject.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 03:24:32 $
 */


#ifndef STATIONARYOBJECT_H
#define STATIONARYOBJECT_H


#include "FieldObject.h"


RS_BEGIN_NAMESPACE


/**
 * @class StationaryObject StationaryObject.h
 * Class used as the base class of all stationary objects,
 * i.e. objects that doesn't move during a game.
 *
 * <!-- @invariant The class invariant is... -->
 *
 * @todo Make a toString and operator<<
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 03:24:32 $
 */
class StationaryObject : public FieldObject {
public:
  StationaryObject(const PointUCO& def_point,
		   const VectorUCO& def_vector = VectorUCO());
  StationaryObject(const StationaryObject& obj);

  StationaryObject& operator=(const StationaryObject& obj);
};


RS_END_NAMESPACE


#endif // !STATIONARYOBJECT_H
