/* -*- Mode: C++ -*-
 * $Id: Timer.h,v 1.1 2000/09/01 11:43:41 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Timer.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/01 11:43:41 $
 *
 *
 * HISTORY
 *
 * $Log: Timer.h,v $
 * Revision 1.1  2000/09/01 11:43:41  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file Timer.h
 * Include file for the class Timer.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 11:43:41 $
 */


#ifndef TIMER_H
#define TIMER_H


#include "library_types.h"


RS_BEGIN_NAMESPACE


/**
 * @class Timer Timer.h
 * Class used to represent a timer.
 * Uses the Unix setitimer function.
 *
 * <!-- @invariant The class invariant is... -->
 *
 * <!-- @todo -->
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 11:43:41 $
 */
class Timer
{
public:
  /** Default constructor, does nothing. */
  Timer();

  /** Start the timer after @a start_time milliseconds
    and generate an sigalrm each @a period milliseconds. */
  void start(const UInt16 start_time, const UInt16 period);
  /** Stop the timer. */
  void stop();
};


RS_END_NAMESPACE


#endif // !TIMER_H
