/* -*- Mode: C++ -*-
 * $Id: TooFewArgumentsException.h,v 1.1 2000/09/13 03:13:57 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: TooFewArgumentsException.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-13
 * Last modified by $Author: frehe $ $Date: 2000/09/13 03:13:57 $
 *
 *
 * HISTORY
 *
 * $Log: TooFewArgumentsException.h,v $
 * Revision 1.1  2000/09/13 03:13:57  frehe
 * Added a new exception TooFewArgumentsException.
 *
 */

/**
 * @file TooFewArgumentsException.h
 * Include file for the exception class TooFewArgumentsException.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/13 03:13:57 $
 */


#ifndef TOOFEWARGUMENTSEXCEPTION_H
#define TOOFEWARGUMENTSEXCEPTION_H


#include "RSException.h"


RS_BEGIN_NAMESPACE


/**
 * @class TooFewArgumentsException TooFewArgumentsException.h
 * Used to represent the exception raised when someone
 * tries to set some arguments but not giving enough arguments.
 * Mostly used when converting from a vector of values to a
 * set of other arguments.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/13 03:13:57 $
 */
class TooFewArgumentsException : public RSException
{
public:
  /** Default constructor. */
  TooFewArgumentsException(const std::string& descr,
			   const std::string& file_n = "",
			   const UInt32 line_no = 0) throw();
};


RS_END_NAMESPACE


#endif // !TOOFEWARGUMENTSEXCEPTION_H
