/* -*- Mode: C++ -*-
 * $Id: UnknownValueException.h,v 1.1.1.1 2000/08/31 13:26:04 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: UnknownValueException.h
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:04 $
 *
 *
 * HISTORY
 *
 * $Log: UnknownValueException.h,v $
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file UnknownValueException.h
 * Include file for the class UnknownValueException.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:04 $
 */


#ifndef UNKNOWNVALUEEXCEPTION_H
#define UNKNOWNVALUEEXCEPTION_H


#include "RSException.h"


RS_BEGIN_NAMESPACE


/**
 * @class UnknownValueException UnknownValueException.h
 * Used to represent the exception raised when someone
 * tries to take the value of an object with an unknown value.
 *
 * <!-- @invariant The class invariant is... -->
 *
 * <!-- @todo -->
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:04 $
 */
class UnknownValueException : public RSException
{
public:
  /** Default constructor. */
  UnknownValueException(const std::string& descr = "",
			const std::string& file_n = "",
			const UInt32 line_no = 0) throw();
};


RS_END_NAMESPACE


#endif // !UNKNOWNVALUEEXCEPTION_H
