/* -*- Mode: C++ -*-
 * $Id: library_types_with_unknown.h,v 1.2 2000/09/03 14:23:20 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: library_types_with_unknown.h
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 2000-08-31
 * Last modified by $Author: frehe $ $Date: 2000/09/03 14:23:20 $
 *
 *
 * HISTORY
 *
 * $Log: library_types_with_unknown.h,v $
 * Revision 1.2  2000/09/03 14:23:20  frehe
 * Made minor changes to improve the documentation.
 *
 * Revision 1.1  2000/09/01 01:24:44  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file library_types_with_unknown.h
 * Include file with the types that can be unknown that is used by
 * the RoboSoc library and based on the library types.
 *
 * <!-- @todo -->
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2000/09/03 14:23:20 $
 */


#ifndef LIBRARY_TYPES_WITH_UNKNOWN_H
#define LIBRARY_TYPES_WITH_UNKNOWN_H


#include "library_types.h"
#include "TimeUnknown.h"
//#include "WithUnknown.h"
//#include "WithUCO.h"
#include "AngleDegreesUnknown.h"
//#include "AngleDegreesUCO.h"
#include "CoordPointUCO.h"
#include "CoordVectorUCO.h"


RS_BEGIN_NAMESPACE


typedef WithUnknown<Int> IntUnknown;
typedef WithUnknown<UInt> UIntUnknown;
typedef WithUnknown<Float> FloatUnknown;


typedef WithUCO<Float, TimeUnknown> FloatUCO;


typedef AngleDegreesUnknown<Float> AngleDegUnknown;
typedef AngleDegreesUCO<Float, TimeUnknown> AngleDegUCO;


typedef CoordPointUnknown<Float> PointUnknown;
typedef CoordPointUC<Float> PointUC;
typedef CoordPointUCO<Float, TimeUnknown> PointUCO;

typedef CoordVectorUnknown<Float> VectorUnknown;
typedef CoordVectorUC<Float> VectorUC;
typedef CoordVectorUCO<Float, TimeUnknown> VectorUCO;


typedef ObjectCollection<IntUnknown> IntUnknownCollection;
typedef ObjectCollection<FloatUnknown> FloatUnknownCollection;
typedef ObjectCollection<UIntUnknown> UIntUnknownCollection;
typedef ObjectCollection<VectorUnknown> VectorUnknownCollection;
typedef ObjectCollection<PointUnknown> PointUnknownCollection;
typedef ObjectCollection<AngleDegUnknown> AngleDegUnknownCollection;


RS_END_NAMESPACE


#endif // !LIBRARY_TYPES_WITH_UNKNOWN_H
