/* -*- Mode: C++ -*-
 * $Id: machine_dependent_types.h,v 1.1.1.1 2000/08/31 13:26:03 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: machine_depedent_types.h
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:03 $
 *
 *
 * HISTORY
 *
 * $Log: machine_dependent_types.h,v $
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file machine_dependent_types.h
 * Include file with the machine dependent types.
 *
 * @todo These types should be derived by the configure script.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:03 $
 */


#ifndef MACHINE_DEPENDENT_TYPES_H
#define MACHINE_DEPENDENT_TYPES_H


#include "machine_dependent_compiler_directives.h"


RS_BEGIN_NAMESPACE


/** A type for representing unsigned 16-bit integers. */
typedef unsigned short     UInt16;
/** A type for representing unsigned 32-bit integers. */
typedef unsigned int       UInt32;
/** A type for representing unsigned 64-bit integers. */
typedef unsigned long long UInt64;
/** A type for representing signed 16-bit integers. */
typedef short              Int16;
/** A type for representing signed 32-bit integers. */
typedef int                Int32;
/** A type for representing signed 64-bit integers. */
typedef long long          Int64;
/** A type for representing 32-bit floating pointer numbers. */
typedef float              Float32;
/** A type for representing 64-bit floating pointer numbers. */
typedef double             Float64;


RS_END_NAMESPACE


#endif // !MACHINE_DEPENDENT_TYPES_H
