/* -*- Mode: C++ -*-
 * $Id: machine_dependent_types_with_unknown.h,v 1.1 2000/09/01 01:24:44 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: machine_dependent_types_with_unknown.h
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-08-31
 * Last modified by $Author: frehe $ $Date: 2000/09/01 01:24:44 $
 *
 *
 * HISTORY
 *
 * $Log: machine_dependent_types_with_unknown.h,v $
 * Revision 1.1  2000/09/01 01:24:44  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file machine_dependent_types_with_unknown.h
 * Include file with the types that can be unknown and that are based
 * on the machine dependent types.
 *
 * <!-- @todo -->
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 01:24:44 $
 */


#ifndef MACHINE_DEPENDENT_TYPES_WITH_UNKNOWN_H
#define MACHINE_DEPENDENT_TYPES_WITH_UNKNOWN_H


#include "machine_dependent_types.h"
#include "WithUnknown.h"


RS_BEGIN_NAMESPACE


typedef WithUnknown<UInt16> UInt16U;
//typedef WithUnknown<UInt32> UInt32U;
//typedef WithUnknown<UInt64> UInt64U;
//typedef WithUnknown<Int16> Int16U;
typedef WithUnknown<Int32> Int32U;
//typedef WithUnknown<Int64> Int64U;
typedef WithUnknown<Float32> Float32U;
typedef WithUnknown<Float64> Float64U;


RS_END_NAMESPACE


#endif // !MACHINE_DEPENDENT_TYPES_WITH_UNKNOWN_H
