/* -*- Mode: C++ -*-
 * $Id: string_utils.h,v 1.1.1.1 2000/08/31 13:26:04 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: string_utils.h
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 2000-08-29
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:04 $
 *
 *
 * HISTORY
 *
 * $Log: string_utils.h,v $
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file string_utils.h
 * Include file for the RoboSoc string utilities, currently only toString().
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:04 $
 */


#ifndef STRING_UTILS_H
#define STRING_UTILS_H


#include <string>
#include <strstream>
//#include "library_types.h"
#include "soccer_types.h"


RS_BEGIN_NAMESPACE


/** @name String Utilities
  A collection of functions to convert from objects to
  a string describing the object. */
//@{
/** Function used to convert an object to a string, mainly
  using a strstream and the operator<< defined on the object.
  If no operator<< exist then compile time errors will occur. */
std::string toString(const ViewWidth view_w);
std::string toString(const ViewQuality view_q);
std::string toString(std::ostrstream& oss);

template<class T>
std::string toString(const T& obj)
{
  std::ostrstream str;
  str << obj;
  return toString(str);
}
//@}


RS_END_NAMESPACE


#endif // STRING_UTILS_H
