/* -*- Mode: C++ -*-
 * $Id: Command.cc,v 1.4 2000/09/01 11:43:02 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Command.cc
 * Unitname: Library
 * $Revision: 1.4 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/01 11:43:02 $
 *
 *
 * HISTORY
 *
 * $Log: Command.cc,v $
 * Revision 1.4  2000/09/01 11:43:02  frehe
 * Made minor changes in documentation.
 *
 * Revision 1.3  2000/08/31 14:44:23  frehe884
 * Made a minor update of the documentation.
 *
 * Revision 1.2  2000/08/31 14:03:27  frehe884
 * Added documentation. [frehe884]
 *
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file Command.cc
 * Implementation of the class Command.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.4 $
 * $Author: frehe $
 * $Date: 2000/09/01 11:43:02 $
 */


#include "Command.h"


RS_BEGIN_NAMESPACE


Command::Command(const CommandType c_type)
  : cmdType(c_type)
{
}

Command::Command(const Command& obj)
  : cmdType(obj.cmdType)
{
}

Command::~Command()
{
}

void Command::copyCommand(const Command& obj)
{
  cmdType = obj.cmdType;
}

Command& Command::operator=(const Command& obj)
{
  if ( this != &obj ) {
    copyCommand(obj);
  }

  return *this;
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "Command.icc"
#endif
