/* -*- Mode: C++ -*-
 * $Id: Confidence.cc,v 1.1 2000/09/01 01:24:45 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Confidence.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/01 01:24:45 $
 *
 *
 * HISTORY
 *
 * $Log: Confidence.cc,v $
 * Revision 1.1  2000/09/01 01:24:45  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 *
 */

/**
 * @file Confidence.cc
 * Implementation of the class Confidence.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 01:24:45 $
 */


#include "Confidence.h"


RS_BEGIN_NAMESPACE


// Set the default values for min and max confidence.
Float32 Confidence::maxConfDefault = 1.0;
Float32 Confidence::minConfDefault = 0.0;


Confidence::Confidence(const Float32 c, const Float32 min_c,
			 const Float32 max_c)
  : minConf(min_c),
    maxConf(max(max_c, minConf)),
    confidence(minMax(minConf, c, maxConf))
{
}

Confidence::Confidence(const Confidence& c)
  : minConf(c.minConf),
    maxConf(c.maxConf),
    confidence(c.confidence)
{
}

const std::string toString(const Confidence& c)
{
#ifdef CONFIDENCE_HEAD
  return CONFIDENCE_HEAD + "(" + toString(c.getConfidence()) + ")";
#else
  return toString(c.getConfidence());
#endif
}


RS_END_NAMESPACE
