/* -*- Mode: C++ -*-
 * $Id: GameObject.cc,v 1.1 2000/09/01 01:24:45 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: GameObject.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-08-31
 * Last modified by $Author: frehe $ $Date: 2000/09/01 01:24:45 $
 *
 *
 * HISTORY
 *
 * $Log: GameObject.cc,v $
 * Revision 1.1  2000/09/01 01:24:45  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file GameObject.cc
 * Implementation of the class GameObject.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 01:24:45 $
 */


#include "GameObject.h"


RS_BEGIN_NAMESPACE


GameObject::GameObject()
{
}


GameObject::GameObject(const VectorUCO& def_vector)
  : vector(def_vector),
    defaultVector(def_vector)
{
}


GameObject::GameObject(const GameObject& obj)
  : vector(obj.vector),
    defaultVector(obj.defaultVector)
{
}


/*
GameObject::~GameObject()
{
}
*/


GameObject& GameObject::operator= (const GameObject& obj)
{
  if (this != &obj) {
    vector        = obj.vector;
    defaultVector = obj.defaultVector;
  }

  return *this;
}


std::ostream& operator<<(std::ostream& os, const GameObject& obj)
{
  return os << "GameObject(" << obj.getVector() << ")";
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "GameObject.icc"
#endif
