/* -*- Mode: C++ -*-
 * $Id: LogArea.cc,v 1.1.1.1 2000/08/31 13:26:03 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: LogArea.cc
 * Unitname: Library
 * $Revision: 1.1.1.1 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/08/31 13:26:03 $
 *
 *
 * HISTORY
 *
 * $Log: LogArea.cc,v $
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file LogArea.cc
 * Implementation of the class LogArea.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1.1.1 $
 * $Author: frehe $
 * $Date: 2000/08/31 13:26:03 $
 */


#include "LogArea.h"


RS_BEGIN_NAMESPACE


LogArea::LogArea(const LogAreaName parent_area,
		 const bool do_file_log,
		 std::ostream* file_log_stream,
		 const bool do_screen_log,
		 std::ostream* screen_log_stream)
  : parentArea(parent_area),
    doLogScreen(do_screen_log),
    screenLogStream(screen_log_stream),
    doLogFile(do_file_log),
    fileLogStream(file_log_stream)
{
}


LogArea::LogArea(const LogArea& obj)
  : parentArea(obj.parentArea),
    doLogScreen(obj.doLogScreen),
    screenLogStream(obj.screenLogStream),
    doLogFile(obj.doLogFile),
    fileLogStream(obj.fileLogStream)
{
}


LogArea::~LogArea()
{
}


LogArea& LogArea::operator=(const LogArea& obj)
{
  if ( this != &obj ) {
    parentArea = obj.parentArea;
    doLogScreen = obj.doLogScreen;
    screenLogStream = obj.screenLogStream;
    doLogFile = obj.doLogFile;
    fileLogStream = obj.fileLogStream;
  }

  return *this;
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "LogArea.icc"
#endif

