/* -*- Mode: C++ -*-
 * $Id: PeriodicCommand.cc,v 1.1 2000/09/09 11:54:08 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: PeriodicCommand.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-09
 * Last modified by $Author: frehe $ $Date: 2000/09/09 11:54:08 $
 *
 *
 * HISTORY
 *
 * $Log: PeriodicCommand.cc,v $
 * Revision 1.1  2000/09/09 11:54:08  frehe
 * Added a new level in the command hieararchy, namely ImmediateCommand and PeriodicCommand.
 *
 */

/**
 * @file PeriodicCommand.cc
 * Implementation of the class PeriodicCommand.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/09 11:54:08 $
 */


#include "PeriodicCommand.h"


RS_BEGIN_NAMESPACE


PeriodicCommand::PeriodicCommand(const CommandType c_type)
  : ServerCommand(c_type)
{
}


PeriodicCommand::PeriodicCommand(const PeriodicCommand& obj)
  : ServerCommand(obj)
{
}


PeriodicCommand::~PeriodicCommand()
{
}


/*
void PeriodicCommand::copyCommand(const PeriodicCommand& obj)
{
  ServerCommand::copyCommand(obj);
}
*/


PeriodicCommand& PeriodicCommand::operator =(const PeriodicCommand& obj)
{
  if ( this != &obj ) {
    copyCommand(obj);
  }

  return *this;
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "PeriodicCommand.icc"
#endif
