/* -*- Mode: C++ -*-
 * $Id: SetTicksBetweenVisuals.cc,v 1.1 2000/09/02 15:33:07 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: SetTicksBetweenVisuals.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/02 15:33:07 $
 *
 *
 * HISTORY
 *
 * $Log: SetTicksBetweenVisuals.cc,v $
 * Revision 1.1  2000/09/02 15:33:07  frehe
 * Imported the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file SetTicksBetweenVisuals.cc
 * Implementation of the class SetTicksBetweenVisuals.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/02 15:33:07 $
 */


#include "SetTicksBetweenVisuals.h"
#include "string_utils.h"


RS_BEGIN_NAMESPACE


SetTicksBetweenVisuals::SetTicksBetweenVisuals(const UInt _ticks)
  : ControlCommand(CMD_SetTicksBetweenVisuals),
    ticks(_ticks)
{
}


SetTicksBetweenVisuals::SetTicksBetweenVisuals(const SetTicksBetweenVisuals& obj)
  : ControlCommand(obj),
    ticks(obj.ticks)
{
}


SetTicksBetweenVisuals::~SetTicksBetweenVisuals()
{
}


void SetTicksBetweenVisuals::copyCommand(const SetTicksBetweenVisuals& obj)
{
  ControlCommand::copyCommand(obj);

  ticks = obj.ticks;
}


SetTicksBetweenVisuals& SetTicksBetweenVisuals::operator=(const SetTicksBetweenVisuals& obj)
{
  if ( this != &obj ) {
    copyCommand(obj);
  }

  return *this;
}


const std::string SetTicksBetweenVisuals::getDescription() const
{
  return "SetTicksBetweenVisuals(" + toString(ticks) + ")";
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "SetTicksBetweenVisuals.icc"
#endif
