/* -*- Mode: C++ -*-
 * $Id: StationaryObject.cc,v 1.1 2000/09/01 03:24:34 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: StationaryObject.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/01 03:24:34 $
 *
 *
 * HISTORY
 *
 * $Log: StationaryObject.cc,v $
 * Revision 1.1  2000/09/01 03:24:34  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file StationaryObject.cc
 * Implementation of the class StationaryObject.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 03:24:34 $
 */


#include "StationaryObject.h"


RS_BEGIN_NAMESPACE


StationaryObject::StationaryObject(const PointUCO& def_point,
				   const VectorUCO& def_vector)
  : FieldObject(def_point, def_vector)
{
}


StationaryObject::StationaryObject(const StationaryObject& obj)
  : FieldObject(obj)
{
}


StationaryObject& StationaryObject::operator= (const StationaryObject& obj)
{
  if (this != &obj) {
    FieldObject::operator=(obj);
  }

  return *this;
}


RS_END_NAMESPACE
