/* -*- Mode: C++ -*-
 * $Id: Timer.cc,v 1.1 2000/09/01 11:43:42 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: Timer.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/01 11:43:42 $
 *
 *
 * HISTORY
 *
 * $Log: Timer.cc,v $
 * Revision 1.1  2000/09/01 11:43:42  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file Timer.cc
 * Implementation file for the class Timer.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 11:43:42 $
 */


#include <sys/time.h>

#include "Timer.h"


RS_BEGIN_NAMESPACE


Timer::Timer()
{
}


void Timer::start(const UInt16 start_time, const UInt16 period)
{
  struct itimerval itv;
  itv.it_interval.tv_sec = 0;
  itv.it_interval.tv_usec = period * 1000;
  itv.it_value.tv_sec = 0;
  itv.it_value.tv_usec = start_time * 1000;
  setitimer(ITIMER_REAL, &itv, NULL);
}


void Timer::stop()
{
  struct itimerval itv;
  itv.it_interval.tv_sec = 0;
  itv.it_interval.tv_usec = 0;
  itv.it_value.tv_sec = 0;
  itv.it_value.tv_usec = 0;
  setitimer(ITIMER_REAL, &itv, NULL);
}


RS_END_NAMESPACE
