/* -*- Mode: C++ -*-
 * $Id: machine_dependent_types_with_unknown.cc,v 1.2 2000/10/11 18:40:09 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: machine_dependent_types_with_unknown.cc
 * Unitname: Library
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 1999-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/10/11 18:40:09 $
 *
 *
 * HISTORY
 *
 * $Log: machine_dependent_types_with_unknown.cc,v $
 * Revision 1.2  2000/10/11 18:40:09  frehe
 * Tried to fix a segmentation fault in WithUnknown, but without success.
 *
 * Revision 1.1  2000/09/01 01:24:47  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file machine_dependent_types_with_unknown.cc
 * Implementation file for the machine dependent types with unknown.
 *
 * @todo Find a better way of defining the type strings, use traits?
 *
 * @par Unit:
 *      Library
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2000/10/11 18:40:09 $
 */


#include "machine_dependent_types_with_unknown.h"


RS_BEGIN_NAMESPACE


const std::string WithUnknown<UInt16>::typeString  = "UInt16";
const std::string WithUnknown<UInt32>::typeString  = "UInt32";
const std::string WithUnknown<UInt64>::typeString  = "UInt64";
const std::string WithUnknown<Int16>::typeString   = "Int16";
const std::string WithUnknown<Int32>::typeString   = "Int32";
const std::string WithUnknown<Int64>::typeString   = "Int64";
const std::string WithUnknown<Float32>::typeString = "Float32";
const std::string WithUnknown<Float64>::typeString = "Float64";


RS_END_NAMESPACE
