/* -*- Mode: C++ -*-
 * $Id: string_utils.cc,v 1.3 2001/06/19 14:01:50 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: string_utils.cc
 * Unitname: Library
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-08-29
 * Last modified by $Author: frehe $ $Date: 2001/06/19 14:01:50 $
 *
 *
 * HISTORY
 *
 * $Log: string_utils.cc,v $
 * Revision 1.3  2001/06/19 14:01:50  frehe
 * Made minor changes to compile RoboSoc with gcc-3.0
 *
 * Revision 1.2  2001/02/22 14:54:08  frehe
 * Made a minor change to string_utils.
 *
 * Revision 1.1.1.1  2000/08/31 13:26:03  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file string_utils.cc
 * Implementation of the RoboSoc string utilities, currently only toString().
 *
 * @par Unit:
 *      Library
 * $Revision: 1.3 $
 * $Author: frehe $
 * $Date: 2001/06/19 14:01:50 $
 */


#include "string_utils.h"


RS_BEGIN_NAMESPACE


std::string toString(std::ostrstream& oss)
{
  oss << std::ends;
  char* tmp_str;
  tmp_str = oss.str();
  if ( tmp_str != NULL ) {
    std::string res_str(tmp_str);
    delete [] tmp_str;
    return res_str;
  } else {
    return std::string();
  } 
}

std::string toString(const ViewWidth view_w)
{
  switch ( view_w ) {
  case VW_NORMAL:
    return "normal";
  case VW_WIDE:
    return "wide";
  case VW_NARROW:
    return "narrow";
  default:
    return "unknown";
  }
}

std::string toString(const ViewQuality view_q)
{
  switch ( view_q ) {
  case VQ_HIGH:
    return "high";
  case VQ_LOW:
    return "low";
  default:
    return "unknown";
  }
}


RS_END_NAMESPACE
