/* -*- Mode: C++ -*-
 * $Id: AngleTest.cc,v 1.3 2000/10/08 12:11:50 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: AngleTest.cc
 * Unitname: Library/test
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-08-30
 * Last modified by $Author: frehe $ $Date: 2000/10/08 12:11:50 $
 *
 *
 * HISTORY
 *
 * $Log: AngleTest.cc,v $
 * Revision 1.3  2000/10/08 12:11:50  frehe
 * Added some tests to AngleTest and VectorTest.
 *
 * Revision 1.2  2000/09/19 13:31:42  frehe
 * Added more tests to AngleTest.
 *
 * Revision 1.1  2000/08/31 20:02:33  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file AngleTest.cc
 * Test file for AngleDegrees and AngleRadians.
 *
 * @par Unit:
 *      Library/test
 * $Revision: 1.3 $
 * $Author: frehe $
 * $Date: 2000/10/08 12:11:50 $
 */


#include "library_types.h"


int main()
{

  using namespace RS_NAMESPACE;

  AngleDeg deg = 45;
  AngleRad rad = deg.getRad();

  if ( deg == rad.getDeg() )
    std::cout << "Conversion works!" << std::endl;
  else
    std::cout << "deg = " << deg << " != rad.getDeg() = " << rad.getDeg()
	      << std::endl;
  
  if ( rad == deg.getRad() )
    std::cout << "Conversion works!" << std::endl;
  else
    std::cout << "rad = " << rad << " != deg.getRad() = " << deg.getRad()
	      << std::endl;
  
  std::cout << "deg = " << deg << " rad = " << rad << std::endl;

  std::cout << "\ncos(deg) = " << cos(deg) << " sin(deg) = " << sin(deg)
	    << " tan(deg) = " << tan(deg) << std::endl;
  std::cout << "\ncos(rad) = " << cos(rad) << " sin(rad) = " << sin(rad)
	    << " tan(rad) = " << tan(rad) << std::endl;

  AngleDeg a1 = ATan2(0.0,0.0);
  AngleDeg a2 = ATan2(0.0,0.5);
  AngleDeg a3 = ATan2(0.0,-0.5);
  AngleDeg a4 = ATan2(0.5,0.0);
  AngleDeg a5 = ATan2(-0.5,0.0);
  AngleDeg a6 = ATan2(0.5,0.5);
  AngleDeg a7 = ATan2(-0.5,-0.5);
  AngleDeg a8 = ATan2(-0.5,0.5);
  AngleDeg a9 = ATan2(0.5,-0.5);
  
  std::cout << "\n" << a1 << "\t" << a2 << "\t" << a3 << "\t" << a4 << "\t"
	    << a5 << "\t" << a6 << "\t" << a7 << "\t" << a8 << "\t"
	    << a9 << "\n";

  AngleDeg b1 = AngleRad(std::atan2(0.0,0.0));
  AngleDeg b2 = AngleRad(std::atan2(0.0,0.5));
  AngleDeg b3 = AngleRad(std::atan2(0.0,-0.5));
  AngleDeg b4 = AngleRad(std::atan2(0.5,0.0));
  AngleDeg b5 = AngleRad(std::atan2(-0.5,0.0));
  AngleDeg b6 = AngleRad(std::atan2(0.5,0.5));
  AngleDeg b7 = AngleRad(std::atan2(-0.5,-0.5));
  AngleDeg b8 = AngleRad(std::atan2(-0.5,0.5));
  AngleDeg b9 = AngleRad(std::atan2(0.5,-0.5));
  
  std::cout << "\n" << b1 << "\t" << b2 << "\t" << b3 << "\t" << b4 << "\t"
	    << b5 << "\t" << b6 << "\t" << b7 << "\t" << b8 << "\t"
	    << b9 << "\n";

  return 0;
}
