/* -*- Mode: C++ -*-
 * $Id: ExceptionTest.cc,v 1.2 2001/06/19 14:01:51 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: ExceptionTest.cc
 * Unitname: Library/test
 * $Revision: 1.2 $
 * Created by: Fredrik Heintz 2000-08-30
 * Last modified by $Author: frehe $ $Date: 2001/06/19 14:01:51 $
 *
 *
 * HISTORY
 *
 * $Log: ExceptionTest.cc,v $
 * Revision 1.2  2001/06/19 14:01:51  frehe
 * Made minor changes to compile RoboSoc with gcc-3.0
 *
 * Revision 1.1  2000/08/31 20:02:33  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file ExceptionTest.cc
 * Test file for RS_THROW and RSException.
 *
 * @par Unit:
 *      Library/test
 * $Revision: 1.2 $
 * $Author: frehe $
 * $Date: 2001/06/19 14:01:51 $
 */


#include "rs_throw.h"
#include "RSException.h"

#include <iostream>


bool testFunction(const int i)
{
  if ( i == 0 )
    RS_THROW(RS_NAMESPACE::RSException, "i == 0, should not be allowed!");
  else
    return true;
}


int main()
{

#if !defined(RS_USE_EXCEPTION) && defined(RS_LOG_EXCEPTION)
  RS_NAMESPACE::LogStream::instance()->addLogArea(RS::ROBOSOC, RS::TOP, true, &std::cerr);
  RS_NAMESPACE::LogStream::instance()->addLogArea(RS::EXCEPTION, RS::ROBOSOC, true, &std::cerr);
#endif
  
  try {
    testFunction(0);
  } catch (RS_NAMESPACE::RSException& excp) {
    std::cerr << "Caught RSException: " << excp.what() << std::endl;
  } catch (std::exception& excp) {
    std::cerr << "Caught exception: " << excp.what() << std::endl;
  }

  return 0;
}
