/* -*- Mode: C++ -*-
 * $Id: GameObjectTest.cc,v 1.1 2000/09/01 01:24:48 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: GameObjectTest.cc
 * Unitname: Library/test
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-08-31
 * Last modified by $Author: frehe $ $Date: 2000/09/01 01:24:48 $
 *
 *
 * HISTORY
 *
 * $Log: GameObjectTest.cc,v $
 * Revision 1.1  2000/09/01 01:24:48  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1  2000/08/31 20:02:33  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 */

/**
 * @file GameObjectTest.cc
 * Test file for GameObject and its subclasses.
 *
 * @par Unit:
 *      Library/test
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 01:24:48 $
 */


#include <iostream>

#include "GameObject.h"
#include "FieldObject.h"


int main()
{
#ifdef RS_USE_NAMESPACE
  using namespace RS_NAMESPACE;
#endif

  GameObject go;
  FieldObject fo;

  VectorUCO vuco = VectorUCO(45, 1);
  PointUCO puco = PointUCO(1,5);

  GameObject ggo(vuco);
  FieldObject ffo(puco, vuco);

  std::cout << go << "\n" // << fo  << "\n"
	    << vuco << "\n" << puco << "\n"
	    << ggo //<< "\n" << ffo
	    << std::endl;
    
  return 0;
}
