/* -*- Mode: C++ -*-
 * $Id: LogTest.cc,v 1.3 2000/09/05 21:16:00 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: LogTest.cc
 * Unitname: Library/test
 * $Revision: 1.3 $
 * Created by: Fredrik Heintz 2000-08-30
 * Last modified by $Author: frehe $ $Date: 2000/09/05 21:16:00 $
 *
 *
 * HISTORY
 *
 * $Log: LogTest.cc,v $
 * Revision 1.3  2000/09/05 21:16:00  frehe
 * Made minor changes.
 *
 * Revision 1.2  2000/09/05 11:08:24  frehe
 * Changed the log area constants from NAME to LA_NAME.
 *
 * Revision 1.1  2000/08/31 20:02:34  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 * Revision 1.1.1.1  2000/08/31 13:26:04  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file LogTest.cc
 * Test file for logging, error messages, debug messages and LogStream.
 *
 * @par Unit:
 *      Library/test
 * $Revision: 1.3 $
 * $Author: frehe $
 * $Date: 2000/09/05 21:16:00 $
 */


#include "rs_log.h"
#include "rs_error.h"
#include "rs_debug.h"


int main()
{
  RS_NAMESPACE::LogStream::instance()->addLogArea(RS_NAMESPACE::LA_ROBOSOC,
						  RS_NAMESPACE::LA_TOP, true, &std::cerr);
  RS_NAMESPACE::LogStream::instance()->addLogArea(RS_NAMESPACE::LA_DEBUG,
						  RS_NAMESPACE::LA_ROBOSOC, true, &std::cerr);
  RS_NAMESPACE::LogStream::instance()->addLogArea(RS_NAMESPACE::LA_WARNING,
						  RS_NAMESPACE::LA_ROBOSOC, true, &std::cerr);
  RS_NAMESPACE::LogStream::instance()->addLogArea(RS_NAMESPACE::LA_ERROR,
						  RS_NAMESPACE::LA_ROBOSOC, true, &std::cerr);
  RS_NAMESPACE::LogStream::instance()->addLogArea(RS_NAMESPACE::LA_FATAL,
						  RS_NAMESPACE::LA_ROBOSOC, true, &std::cerr);

  RS_LOG(RS_NAMESPACE::LA_ROBOSOC, "This is a log message!");
  RS_DEBUG("This is a debug message!");
  RS_WARNING("This is a warning message!");
  RS_ERROR("This is an error message!");
  RS_FATAL("This is a fatal error message!");

  RS_LOG(RS_NAMESPACE::LA_SCORE, "This is a SCORE log message!");

  return 0;
}
