/* -*- Mode: C++ -*-
 * $Id: PlanTest.cc,v 1.1 2000/09/05 21:16:01 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: PlanTest.cc
 * Unitname: Library/test
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-09-05
 * Last modified by $Author: frehe $ $Date: 2000/09/05 21:16:01 $
 *
 *
 * HISTORY
 *
 * $Log: PlanTest.cc,v $
 * Revision 1.1  2000/09/05 21:16:01  frehe
 * Made minor changes.
 *
 */

/**
 * @file PlanTest.cc
 * Test file for Plan and Step.
 *
 * @par Unit:
 *      Library/test
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/05 21:16:01 $
 */


#include "Plan.h"
#include "Step.h"
#include "MoveCommand.h"
#include "rs_log.h"


int main()
{
#ifdef RS_USE_NAMESPACE
  using namespace RS_NAMESPACE;
#endif

  LogStream::instance()->addLogArea(LA_ROBOSOC, LA_TOP, true, &std::cerr);


  MoveCommand* mCmd = new MoveCommand(Point(10, 15));
  Command* cmd = mCmd->clone();
  ServerCommand* sCmd = mCmd->clone();
  Step step(mCmd);
  Plan plan(step);
  delete mCmd;

  std::cout << sCmd->serverString() << std::endl;
  delete sCmd;

  std::cout << cmd->getServerCommand()->serverString() << std::endl;
  Command* cmd2(cmd);
  std::cout << cmd2->getServerCommand()->serverString() << std::endl;
  Command* cmd3;
  cmd3 = cmd2;
  std::cout << cmd2->getServerCommand()->serverString() << std::endl;

  std::cout << plan.getNextStep().getNextCommand()->getServerCommand()->serverString()
	    << std::endl;


  if ( step.empty() )
    std::cout << "step is empty!" << std::endl;
  else
    std::cout << "step is not empty!" << std::endl;
  if ( plan.empty() )
    std::cout << "plan is empty!" << std::endl;
  else
    std::cout << "plan is not empty!" << std::endl;

  step = plan.getNextStep(); 

  
  if ( step.empty() )
    std::cout << "step is empty!" << std::endl;
  else
    std::cout << "step is not empty!" << std::endl;
  if ( plan.empty() )
    std::cout << "plan is empty!" << std::endl;
  else
    std::cout << "plan is not empty!" << std::endl;

  cmd = plan.getNextStep().getNextCommand();
  

  cmd = step.getNextCommand();

  
  if ( step.empty() )
    std::cout << "step is empty!" << std::endl;
  else
    std::cout << "step is not empty!" << std::endl;
  if ( plan.empty() )
    std::cout << "plan is empty!" << std::endl;
  else
    std::cout << "plan is not empty!" << std::endl;

  std::cout << "mCmd = " << mCmd << " cmd = " << cmd << std::endl;
  if ( cmd != NULL )
    sCmd = cmd->getServerCommand();
  std::cout << "mCmd = " << mCmd << " sCmd = " << sCmd << std::endl;
  delete cmd;

  
  cmd = plan.getNextStep().getNextCommand();
  if ( cmd != NULL )
    sCmd = cmd->getServerCommand();
  std::cout << "mCmd = " << mCmd << " sCmd = " << sCmd << std::endl;
  
  plan.removeNextStep();
  
  std::cout << "Hej hopp!" << sCmd->serverString() << std::endl;
  delete cmd;
  
  return 0;
}

  
