#include <iostream>

#include "library_types.h"
#include "library_types_with_unknown.h"


int main()
{

#ifdef RS_USE_NAMESPACE
  using namespace RS_NAMESPACE;
#endif RS_USE_NAMESPACE
  
  Point p(1,1);
  Vector v(p);

  if ( p == Point(v) )
    std::cout << "Conversion worked!" << std::endl;
  else
    std::cout << "p = " << p << " v = Vector(p) = " << v
	      << " Point(v) = " << Point(v) << std::endl;

  PointUCO puco(1,1);
  VectorUCO vuco(p);

  if ( puco == PointUCO(vuco) )
    std::cout << "Conversion worked!" << std::endl;
  else
    std::cout << "puco = " << puco << " vuco = VectorUCO(puco) = " << vuco
	      << " PointUCO(vuco) = " << PointUCO(vuco) << std::endl;

  PointUCO point_uco;
  PointUnknown point_u = point_uco; // You can always convert from UCO to U
                                    // without problems.
  Point point;

  if ( point_u.isKnown() )
    point = point_u.getPoint();

  PointUCO my_point;
  Float x;
  FloatUnknown x_u = my_point.getX();
  if ( x_u.isKnown() )
    x = x_u.getValue();

  Point pt1(0,0);
  Point pt2(5,5);
  Point pt3(-5,-5);

  Vector v1(pt1, pt2);
  Vector v2(pt2, pt1);
  Vector v3(pt1, pt3);
  Vector v4(pt3, pt1);
  Vector v5(pt2, pt3);
  Vector v6(pt3, pt2);

  std::cout << v1 << "\t" << v2 << "\t" << v3 << "\t" << v4
	    << "\t" << v5 << "\t" << v6 << "\n";
  
  return 0;
}
