/* -*- Mode: C++ -*-
 * $Id: FuzzyBool.cc,v 1.1 2000/09/01 11:43:42 frehe Exp $
 *
 *
 * COPYRIGHT INFORMATION
 *
 * This file is part of RoboSoc created by Fredrik Heintz <frehe@ida.liu.se>
 * Copyright (C) 1999, 2000 Fredrik Heintz, Linkping University, Sweden
 *
 * You are allowed to modify and use this code as long as you retain this
 * notice. If you make any changes or have any comments I would appreciate
 * it if you send me a message. For more information, please see
 * http://www.ida.liu.se/~frehe/RoboCup/RoboSoc/
 *
 *
 * IDENTIFICATION
 *
 * Filename: FuzzyBool.cc
 * Unitname: Library
 * $Revision: 1.1 $
 * Created by: Fredrik Heintz 2000-xx-xx
 * Last modified by $Author: frehe $ $Date: 2000/09/01 11:43:42 $
 *
 *
 * HISTORY
 *
 * $Log: FuzzyBool.cc,v $
 * Revision 1.1  2000/09/01 11:43:42  frehe
 * Importet the current version of RoboSoc (soon to be v2.5.0)
 *
 */

/**
 * @file FuzzyBool.cc
 * Implementation file for the class FuzzyBool.
 *
 * @par Unit:
 *      Library
 * $Revision: 1.1 $
 * $Author: frehe $
 * $Date: 2000/09/01 11:43:42 $
 */


#include "FuzzyBool.h"


RS_BEGIN_NAMESPACE


FuzzyBool::FuzzyBool(const Float val)
  : value(minMax(0.0,val,1.0))
{
}


FuzzyBool::FuzzyBool(const bool val)
{
  if ( val )
    value = 1;
  else
    value = 0;
}


FuzzyBool::FuzzyBool(const FuzzyBool& obj)
  : value(obj.value)
{
}


std::ostream& operator<<(std::ostream& os, const FuzzyBool& f)
{
  return os << "FuzzyBool(" << f.getValue() << ")";
}


RS_END_NAMESPACE


/* CONDITIONAL INCLUSION OF INLINE DEFINITIONS
 *
 * If the compiler or debugger does not understand the keyword inline then
 * include the inline definitions here, otherwise include them in the
 * declaration file.
 *
 * This is controlled by a flag called RS_USE_INLINE, which is usually
 * defined. It can be set by the user by giving the compiler an argument
 * usually -DRS_USE_INLINE (to define it) or -URS_USE_INLINE (to undefine it).
 */

#ifndef RS_USE_INLINE
#  include "FuzzyBool.icc"
#endif
